function verind=getverind(N)
// Get Vertex Indices 
//
// Calling Sequence
//   verind=getverind(N) 
//
// Parameters
// N : Highest Degree of Polynomial
// verind: Vertex Indices
//
// Description
// Vertex Indices provides for finding zcap. These indices afterwords converts into linear indices.  
//
// See also
//  vertex
//  sub2lin
//  
//
// Authors
//  Mr. Dhiraj B. Magare
//  IDP in System and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Mr. Bhagyesh V. Patil
//  IDP in System and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Prof. P.S.V. Nataraj
//  IDP in System and Control Engineering
//  Indian Institute of Technology Bombay
// 

  a=0;b=0;
  dim=length(N);
  verind=1;  
  str=dec2bin((2:2^dim)-1,dim);
  for j1=1:(2^dim-1),
    str1(j1,1:dim)=str2code(str(1,j1))';
  end,  
  if dim==1 then,
     b=ones(size(str1,'r'));
  else
     b=mtlb_ones(size(str1));
  end,
  N1=mtlb_repmat(N,size(b,'r'),1);
  b(find(str1==1))=1+N1(find(str1==1));
  verind=[verind sub2lin(b,N+1)'];
endfunction;


